From bb8e543439756bddcac19e6bf215060633b34e21 Mon Sep 17 00:00:00 2001
From: Zhao Junwang <zhjwpku@gmail.com>
Date: Tue, 6 Aug 2024 10:08:34 +0000
Subject: [PATCH v3 2/2] fix stale comments

PartitionCmd is used by ALTER TABLE/INDEX ATTACH/DETACH/MERGE/SPLIT,
the comments do not reflect that.

Signed-off-by: Zhao Junwang <zhjwpku@gmail.com>
---
 src/include/nodes/parsenodes.h | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/src/include/nodes/parsenodes.h b/src/include/nodes/parsenodes.h
index 9ccdcb9eff..b8017b0626 100644
--- a/src/include/nodes/parsenodes.h
+++ b/src/include/nodes/parsenodes.h
@@ -938,7 +938,7 @@ typedef struct PartitionRangeDatum
 } PartitionRangeDatum;
 
 /*
- * PartitionDesc - info about single partition for ALTER TABLE SPLIT PARTITION command
+ * SinglePartitionSpec - info about single partition for ALTER TABLE SPLIT PARTITION command
  */
 typedef struct SinglePartitionSpec
 {
@@ -946,16 +946,17 @@ typedef struct SinglePartitionSpec
 
 	RangeVar   *name;			/* name of partition */
 	char	   *tablespacename; /* name of tablespace, or NULL for default */
-	PartitionBoundSpec *bound;	/* FOR VALUES, if attaching */
+	PartitionBoundSpec *bound;	/* a partition bound specification */
 } SinglePartitionSpec;
 
 /*
- * PartitionCmd - info for ALTER TABLE/INDEX ATTACH/DETACH PARTITION commands
+ * PartitionCmd - info for ALTER TABLE ATTACH/DETACH/MERGE/SPLIT and ALTER INDEX ATTACH commands
  */
 typedef struct PartitionCmd
 {
 	NodeTag		type;
-	RangeVar   *name;			/* name of partition to attach/detach */
+	RangeVar   *name;			/* name of partition to attach, detach, merge
+								 * into or split */
 	PartitionBoundSpec *bound;	/* FOR VALUES, if attaching */
 	List	   *partlist;		/* list of partitions, for MERGE/SPLIT
 								 * PARTITION command */
-- 
2.39.2

